From: Kirill A. Shutemov <kirill@shutemov.name>

Replace list_del() followed by list_add() with list_move().

Signed-off-by: Kirill A. Shutemov <kirill@shutemov.name>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm-log-userspace-base.c |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

Index: linux-3.0/drivers/md/dm-log-userspace-base.c
===================================================================
--- linux-3.0.orig/drivers/md/dm-log-userspace-base.c
+++ linux-3.0/drivers/md/dm-log-userspace-base.c
@@ -394,8 +394,7 @@ static int flush_by_group(struct log_c *
 			group[count] = fe->region;
 			count++;
 
-			list_del(&fe->list);
-			list_add(&fe->list, &tmp_list);
+			list_move(&fe->list, &tmp_list);
 
 			type = fe->type;
 			if (count >= MAX_FLUSH_GROUP_COUNT)
